Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.synchronizer.store
Interface SynchronizerStore

All Known Implementing Classes:
  JdbcSynchronizerStore

    public interface SynchronizerStore

Method Summary
`void` | `commit()`
`void` | `deletePartnership(java.lang.String id)`
`void` | `deleteRecord(java.lang.String id)`
`java.util.Collection<SyncPartnership>` | `getAllPartnerships()`
`java.util.Collection<SyncRecord>` | `getAllRecords(java.lang.String partnerId)`
`SyncPartnership` | `getPartnershipById(java.lang.String id)`
`SyncPartnership` | `getPartnershipByName(java.lang.String name, java.lang.String type)`
`SyncRecord` | `getRecordByDesktopUID(java.lang.String partnerId, java.lang.String uid)`
`SyncRecord` | `getRecordById(java.lang.String id)`
`SyncRecord` | `getRecordByMobileUID(java.lang.String partnerId, java.lang.String uid)`
`void` | `rollback()`
`void` | `savePartnership(SyncPartnership partner)`
`void` | `saveRecord(SyncRecord record)`

Method Detail

### commit

    void commit()
                throws SynchronizerStoreException

  Throws:
    `SynchronizerStoreException`

### rollback

    void rollback()

### getPartnershipById

    SyncPartnership getPartnershipById(java.lang.String id)
                                       throws SynchronizerStoreException

  Throws:
    `SynchronizerStoreException`

### getPartnershipByName

    SyncPartnership getPartnershipByName(java.lang.String name,
                                         java.lang.String type)
                                         throws SynchronizerStoreException

  Throws:
    `SynchronizerStoreException`

### savePartnership

    void savePartnership(SyncPartnership partner)
                         throws SynchronizerStoreException

  Throws:
    `SynchronizerStoreException`

### getAllPartnerships

    java.util.Collection<SyncPartnership> getAllPartnerships()
                                                             throws SynchronizerStoreException

  Throws:
    `SynchronizerStoreException`

### deletePartnership

    void deletePartnership(java.lang.String id)
                           throws SynchronizerStoreException

  Throws:
    `SynchronizerStoreException`

### getRecordById

    SyncRecord getRecordById(java.lang.String id)
                             throws SynchronizerStoreException

  Throws:
    `SynchronizerStoreException`

### getRecordByDesktopUID

    SyncRecord getRecordByDesktopUID(java.lang.String partnerId,
                                     java.lang.String uid)
                                     throws SynchronizerStoreException

  Throws:
    `SynchronizerStoreException`

### getRecordByMobileUID

    SyncRecord getRecordByMobileUID(java.lang.String partnerId,
                                    java.lang.String uid)
                                    throws SynchronizerStoreException

  Throws:
    `SynchronizerStoreException`

### saveRecord

    void saveRecord(SyncRecord record)
                    throws SynchronizerStoreException

  Throws:
    `SynchronizerStoreException`

### getAllRecords

    java.util.Collection<SyncRecord> getAllRecords(java.lang.String partnerId)
                                                   throws SynchronizerStoreException

  Throws:
    `SynchronizerStoreException`

### deleteRecord

    void deleteRecord(java.lang.String id)
                      throws SynchronizerStoreException

  Throws:
    `SynchronizerStoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.